import request from '@/utils/request'

// 查询检修计划信息列表
export function listDmsRepair(query) {
  return request({
    url: '/dms/dmsRepair/list',
    method: 'get',
    params: query
  })
}

// 查询检修计划信息详细
export function getDmsRepair(planRepairId) {
  return request({
    url: '/dms/dmsRepair/' + planRepairId,
    method: 'get'
  })
}

// 新增检修计划信息
export function addDmsRepair(data) {
  return request({
    url: '/dms/dmsRepair',
    method: 'post',
    data: data
  })
}

// 修改检修计划信息
export function updateDmsRepair(data) {
  return request({
    url: '/dms/dmsRepair',
    method: 'put',
    data: data
  })
}

// 删除检修计划信息
export function delDmsRepair(planRepairId) {
  return request({
    url: '/dms/dmsRepair/' + planRepairId,
    method: 'delete'
  })
}
